
FreeNAS - Bug #40176

Update favicon in new UI and Guide

07/30/2018 06:34 PM - Michael Reynolds

Status: Done   

Priority: No priority   

Assignee: Dennis Mullen   

Category: GUI (new)   

Target version: 11.2-BETA3   

Seen in: Master - FreeNAS Nightlies Needs Merging: No

Severity: New Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

The current favicon used for the webui is very pixelated/low-res compared to the favicon used for the userguide.

See FreeNAS-favicon-2018-07-30.png

This screenshot is the webui (on the left) and the userguide (on the right).

While opening the ticket I checked out the properties and found there are many different favicons in the /ui/assets/images/ dir

Almost all of them look like they were sent to us via fax or 8th generation screenshot converted to a gif...

We should get a cleaned up version of the FreeNAS favicon or use the favicon from the userguide.

Associated revisions

Revision 967145ee - 08/14/2018 12:10 PM - Dennis Mullen 

update favicons and other logos to hi-res

Ticket: #40176

History

#1 - 07/31/2018 11:56 AM - Dru Lavigne

- Target version changed from Backlog to 11.2-BETA3

#3 - 08/01/2018 03:23 PM - Erin Clark

- Assignee changed from Erin Clark to Dennis Mullen

#4 - 08/14/2018 12:15 PM - Dennis Mullen

- File Screenshot from 2018-08-14 15-12-07.png added

PR: https://github.com/freenas/webui/pull/1144

Turns out the favicon that docs uses isn't he current one. This PR replaces all of our favicons with hi-res versions drawn from the vector version.

#5 - 08/14/2018 12:15 PM - Dennis Mullen

- Status changed from Unscreened to In Progress
#6 - 08/14/2018 03:32 PM - Erin Clark

- Status changed from In Progress to Ready for Testing

#7 - 08/15/2018 04:38 AM - Dru Lavigne

- Subject changed from Use the userguide favicon for the webui to Update favicon in new UI and Guide

- Needs Merging changed from Yes to No

Docs team: The icon for the Guide will also need to be updated.

#8 - 08/20/2018 12:39 PM - Samantha Bonham

Added the new icon to the angulargui: https://github.com/freenas/freenas-docs/pull/311 and master: https://github.com/freenas/freenas-docs/pull/312.

#9 - 08/20/2018 01:22 PM - Dru Lavigne

- Needs Doc changed from Yes to No

#10 - 08/22/2018 01:01 PM - Jeff Ervin

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

Test Passes FreeNAS-11.2-MASTER-201808220903

#11 - 08/22/2018 01:04 PM - Dru Lavigne

- Status changed from Passed Testing to Done

Files

FreeNAS-favicon-2018-07-30.png 15 KB 07/31/2018 Michael Reynolds

Screenshot from 2018-08-14 15-12-07.png 51.7 KB 08/14/2018 Dennis Mullen
